diff --git a/changelog b/changelog
index 881a3e3..0ea7b1b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130327 tpd src/axiom-website/patches.html 20130327.01.tpd.patch
+20130327 tpd src/input/functioncode.input added
+20130327 tpd src/input/Makefile add functioncode.input
 20130326 tpd src/axiom-website/patches.html 20130326.01.tpd.patch
 20130326 tpd v103elementaryfunctionsunivariatepuiseuxseries.ps renamed
 20130326 tpd v103elementaryfunctionsunivariatelaurentseries.ps renamed
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e86c6e0..cb62e98 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4119,5 +4119,7 @@ src/input/romanpolynomials.input create POLY(ROMAN)
 books/bookvolbib add references
 <a href="patches/20130326.01.tpd.patch">20130326.01.tpd.patch</a>
 src/input/* fix failing tests, move EFULS, EFUPXS from package to domain
+<a href="patches/20130327.01.tpd.patch">20130327.01.tpd.patch</a>
+src/input/functioncode.input added
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 00a1835..a328369 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -337,7 +337,8 @@ REGRESSTESTS= ackermann.regress \
     fns.regress       fparfrac.regress fparfrc.regress  \
     frame.regress     fr1.regress \
     fr2.regress       frac.regress     fr.regress       free.regress \
-    function.regress  galois.regress    gamma.regress \
+    function.regress  functioncode.regress \
+    galois.regress    gamma.regress \
     gbf.regress       genups.regress   gonshor.regress  grpthry.regress \
     gstbl.regress     guess.regress \
     heap.regress      heat.regress     help.regress \
diff --git a/src/input/functioncode.input.pamphlet b/src/input/functioncode.input.pamphlet
new file mode 100644
index 0000000..99d4a03
--- /dev/null
+++ b/src/input/functioncode.input.pamphlet
@@ -0,0 +1,58 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input functioncode.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+The command
+\begin{verbatim}
+  )set system functioncode on
+\end{verbatim}
+will emit the generated lisp code when a function is compiled.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f functioncode.output
+)spool functioncode.output
+)set message auto off
+)clear all
+ 
+ 
+--S 1 of 3
+)set system functioncode on
+--R 
+--E 1
+
+--S 2 of 3
+a(x) == x + 1
+--R 
+--R                                                                   Type: Void
+--E 2
+
+--S 3 of 3
+a(3)
+--R 
+--R   Compiling function a with type PositiveInteger -> PositiveInteger 
+--R Generated LISP code for function: 
+--I(|*1;a;1;frame0|
+--R    (LAMBDA (|#1| |envArg|)
+--I      (SPADCALL |#1| 1 (ELT |*1;a;1;frame0;MV| 0))))
+--R
+--R   (2)  4
+--R                                                        Type: PositiveInteger
+--E 3
+
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
